# aniview
command line media library viewer powered by [zashoku](https://github.com/zashoku/zashoku)

![screenshot](screenshot.png)

## Note
This software is still in development and is pretty buggy

## features
+ well optimized, aniview consues very little resources
+ keeps track of which episodes you have watched, even on removable drives
+ real time updating library as files are added / removed
+ fully customizeable display with format strings
+ client / server model, with persistent daemon and multiple simultaneous connections.
 - run aniview server on some computer and connect with a different one to use aniview like a remote

## installation
First ensure that all the requirements are satisfied

### requirements
+ ffmpeg with ffprobe
+ an up to date version of [mpv](https://mpv.io/installation/)

### install using rubygems
`gem install aniview`

## documentation
+ [rubydoc.info](http://www.rubydoc.info/gems/aniview/)
+ [wiki](https://github.com/annacrombie/aniview/wiki/)
