# frozen_string_literal: true

module Aniview
  Version = [5, 4, 0].freeze
end

module Zashoku
  AppConf = {
    app: {
      root: File.expand_path('../', __dir__),
      name: 'aniview',
      modules: {
        viewer: %w[AnimeIO Mpv MPVCSide],
        daemon: %w[AnimeIO Mpv MPVCSide]
      },
      save_config: true,
      save_history: true,
      persistent_daemon: true
    }
  }
end
