# frozen_string_literal: true

module Zashoku
  module Mpv
    class FilenameWidget < Zashoku::Statusline::Widget
      def refresh
        file = Zashoku.command(mod: 'remote::mpv', meth: 'filename')

        @attr = {
          'f' => file,
          'F' => Zashoku::Formatter.media_file(file)
        }
      end
    end
  end
end
